%define module	configobj

Name:          python-%{module}
Summary:       Simple but powerful config file reader and writer
Version:       5.0.6
Release:       %mkrel 3
License:       BSD
Group:         Development/Python
URL:           http://configobj.readthedocs.org/
Source0:       https://pypi.python.org/packages/source/c/configobj/configobj-%{version}.tar.xz
Patch0:        configobj-import-all-fix.patch
Provides:      ConfigObj = %{version}
Provides:      python-ConfigObj = %{version}
BuildArch:     noarch

%description
ConfigObj is a simple but powerful config file reader and writer: an ini file
round tripper. Its main feature is that it is very easy to use, with a
straightforward programmer's interface and a simple syntax for config files.

%package -n python3-%{module}
Summary:       Config file reading, writing, and validation for Python 3
Group:         Development/Python
BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: python3-six
Requires:      python3-six

%description -n python3-%{module}
ConfigObj is a simple but powerful config file reader and writer: an ini file
round tripper. Its main feature is that it is very easy to use, with a
straightforward programmer's interface and a simple syntax for config files.

%prep
%setup -q -n configobj-%{version}
%apply_patches

%build
%py3_build

%install
%py3_install

%files -n python3-%{module}
%{python3_sitelib}/*

%changelog
* Fri Aug 12 2022 TerryN <terryn94 at gmail.com> 5.0.6-3pclos2022
- rebuild for python 3.10
